Get category
curl --request GET \
--url https://store.salesive.com/api/v1/products/categories/{category} \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/products/categories/{category}"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/products/categories/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"image": "<string>"
}Products
Get category
Return a single category by its ID or slug.
GET
/
products
/
categories
/
{category}
Get category
Request
GET /products/categories/69fb494ddf63302ed89ba11d
x-shop-id: {{shopId}}
You can pass the category ID or slug in the
category path segment.Headers
| Header | Type | Description |
|---|---|---|
x-shop-id | string | Identify the shop context. |
Path parameters
| Parameter | Type | Description |
|---|---|---|
category | string | Category ID or slug. |
Successful response
{
"status": 200,
"success": true,
"message": "Category found",
"data": {
"_id": "69fb494ddf63302ed89ba11d",
"name": "Accessories",
"description": null,
"image": null,
"shop": "68b8f52575da81b332af29f1",
"createdAt": "2026-05-06T13:59:41.078Z",
"updatedAt": "2026-05-06T13:59:41.078Z",
"slug": "accessories-1",
"__v": 0,
"id": "69fb494ddf63302ed89ba11d"
}
}
Error response
{
"status": 404,
"success": false,
"message": "Category not found",
"data": {}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Path Parameters
Category ID, slug, or name.
Was this page helpful?

